package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.UserRoleRelationEntity;
import cn.com.qmth.examcloud.core.basic.dao.entity.UserRoleRelationPK;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年7月11日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface UserRoleRelationRepo
		extends
			JpaRepository<UserRoleRelationEntity, UserRoleRelationPK>,
			QueryByExampleExecutor<UserRoleRelationEntity>,
			JpaSpecificationExecutor<UserRoleRelationEntity> {

	List<UserRoleRelationEntity> findAllByUserId(Long userId);

	void deleteByUserId(Long userId);

}
