package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 学生人脸识别信息
 *
 * @author WANGWEI
 * @date 2018年8月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_STUDENT_FACE")
public class StudentFaceEntity extends JpaEntity {

	private static final long serialVersionUID = -3722400898212427026L;

	@Id
	private Long studentId;

	/**
	 * face++参数
	 */
	private String faceToken;

	/**
	 * face++参数
	 */
	private String faceSetToken;

	/**
	 * 创建人
	 */
	private String creator;

	/**
	 * 更新人
	 */
	private String modifiedBy;

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getFaceToken() {
		return faceToken;
	}

	public void setFaceToken(String faceToken) {
		this.faceToken = faceToken;
	}

	public String getFaceSetToken() {
		return faceSetToken;
	}

	public void setFaceSetToken(String faceSetToken) {
		this.faceSetToken = faceSetToken;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy = modifiedBy;
	}

}
