package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.CourseSpeciatlyRelationEntity;

public interface CourseSpeciatlyRelationRepo
		extends
			JpaRepository<CourseSpeciatlyRelationEntity, Long>,
			QueryByExampleExecutor<CourseSpeciatlyRelationEntity>,
			JpaSpecificationExecutor<CourseSpeciatlyRelationEntity> {

	List<CourseSpeciatlyRelationEntity> findBySpecialtyId(Long specialtyId);

	List<CourseSpeciatlyRelationEntity> findByCourseId(Long courseId);
}
